use axum::{routing::get, Router};
use tower_http::services::{ServeDir, ServeFile};


mod handlers;
mod structs;
pub mod blog_entries;
pub mod rand_quote;



#[tokio::main]
async fn main() {

    let app: axum::Router = Router::new()
        .route("/", get(handlers::index))
        .route("/about", get(handlers::about))
        .route("/blog",get(handlers::index))
        .route("/blog/:blog_path",get(handlers::blog))
        .route_service("/robots.txt", ServeFile::new("assets/robots.txt"))
        .fallback(get(handlers::not_found))
    .nest_service("/assets", ServeDir::new("assets"));


    let listener = tokio::net::TcpListener::bind("127.0.0.1:3000").await.unwrap();
    axum::serve(listener, app).await.unwrap();
}
